%global debug_package %{nil}

Name:           setup-tool-cli
Version:        2025.04.1.2
Release:        1
Summary:        A simple setup tool suite
BuildArch:      %{_target_cpu}

License:        MPL-2.0
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  libstp2
BuildRequires:  ncurses-devel
Requires:       bash
Requires:       libstp2
Requires:       pciutils
Requires:       sudo
Requires:       systemd
Requires:       wget2
Requires:       fwupd
Recommends:     fastfetch

%description
A simple setup program for RPM-based distros.

%prep
%setup -q

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_datadir}/licenses/%{name}
gcc setup-tool-cli.c -I/usr/lib64/libstp/2 -L/usr/lib64/libstp/2 /usr/lib64/libstp/2/libstp-c.so -o setup-tool-cli -lncurses
cp setup-tool-cli %{buildroot}/%{_bindir}
cp LICENSE %{buildroot}/%{_datadir}/licenses/%{name}

%files
%license %{_datadir}/licenses/%{name}/LICENSE
%{_bindir}/setup-tool-cli

%changelog
%autochangelog
